<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.Extract"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.BioWell"
	import="net.sf.basedb.core.Hardware"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.Include"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.core.query.Orders"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.List"
	import="java.util.ArrayList"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());
	int plateId = Values.getInt(request.getParameter("bioPlates"));
	BioPlate baPlate = BioPlate.getById(dc, plateId);
	ItemQuery<Extract> query = Extract.getQuery();
	query.include(Include.ALL);
	query.restrict(Restrictions.eq(Hql.property("bioWell.bioPlate"), Hql.entity(baPlate)));
	query.order(Orders.asc(Hql.property("bioWell.column")));
	List<Extract> rnaqc = query.list(dc);
%>
<base:page id="protocol" type="iframe" noskin="true"
	favicon="<%=home+"/images/rnaqc.png"%>" 
	title="<%="Lab protocol for BioAnalyzer RNAQC " + HTML.encodeTags(baPlate.getName())%>"
	>
<base:head
	scripts="~../reggie-2.js,~rnaqc_baprotocol.js" 
	styles="~../css/reggie-2.css,~../css/printable.css"
	>
	<style>
	
	table.protocolheader
	{
		width: 100%;
		border: 1px solid #000000;
		border-collapse: collapse;
		margin-bottom: 1em;
	}

	table.protocolheader tr
	{
		border-bottom: 1px solid #000000;
	}
	
	table.protocolheader > tbody > tr > th
	{
		text-align: left;
		font-size: 100%;
		background-color: #F0F0F0;
		padding: 4px;
		border-right: 1px solid #000000;
		width: 25%;
	}
	
	table.protocolheader > tbody > tr > td
	{
		border-right: 1px solid #000000;
		width: 75%;
		padding: 4px;
	}
	
	table.samplelist
	{
		width: 100%;
		border-collapse: collapse;
		border: 1px solid #000000;
	}
	
	table.samplelist
	{
		width: 100%;
		border-collapse: collapse;
		border: 1px solid #000000;
	}
	
	table.samplelist > tbody > tr
	{
		height: 1.25cm;
	}
	
	table.samplelist > tbody > tr > th
	{
		border: 1px solid #000000;
		font-size: 1em;
		background-color: #F0F0F0;
	}
	
	table.samplelist > tbody > tr > td
	{
		border: 1px solid #000000;
		vertical-align: middle;
		font-size: 1em;
		padding: 0.5em;
	}
	
	.name
	{
		font-weight: bold;
		width: 15%;
	}
	.freezer
	{
		width: 30%;
	}
	.box
	{
		width: 15%;
		text-align: center;
	}
	.bapos
	{
		width: 8%;
		text-align: center;
	}
	.rin
	{
		width: 12%;
		text-align: center;
	}
	.remark
	{
		width: 20%;
	}
	
	</style>
</base:head>
<base:body>

	<div class="paper">

	<form name="reggie" id="wizard">

	<div id="wizard-status"></div>

	<div id="all-protocol" style="display: none;">

	<div id="print-instructions" class="noprint fullwidth">
		<base:button id="print-button" image="<%=home+"/images/print.png"%>" title="Print&hellip;" />
		<br clear="all">
	</div>

	<h1>Lab protocol for BioAnalyzer RNAQC plate <span class="reggie">Reggie <%=reggie.getAbout().getVersion() %></span></h1>

	<table class="protocolheader">
	<tr>
		<th>BioAnalyzer plate</th>
		<td><%=HTML.encodeTags(baPlate.getName())%></td>
	</tr>
	<tr>
		<th>QC date</th>
		<td></td>
	</tr>
	<tr>
		<th>Operator</th>
		<td></td>
	</tr>
	<tr style="height: 4em; vertical-align: top;">
		<th>Comments</th>
		<td></td>
	</tr>
	</tbody>
	</table>

	<table style="width: 100%;" class="samplelist">
	<tr>
		<th class="name">RNA</th>
		<th class="freezer">Freezer</th>
		<th class="box">Box</th>
		<th class="bapos">BA pos.</th>
		<th class="rin">RIN</th>
		<th class="remark">Remark</th>
	</tr>
	<%
	for (Extract qc : rnaqc)
	{
		BioWell baWell = qc.getBioWell();
		Extract rna = (Extract)qc.getParent();
		BioWell well = rna.getBioWell();
		BioPlate plate = well.getPlate();
		Hardware freezer = plate.getFreezer();
		%>
		<tr>
			<td class="name"><%=HTML.encodeTags(rna.getName()) %></td>
			<td class="freezer">
				<%=HTML.encodeTags(freezer.getName()) %><br>
				Section <%=plate.getSection() %>, Tray <%=plate.getTray() %>, Position <%=plate.getPosition() %>
			</td>
			<td class="box"><%=HTML.encodeTags(plate.getName()) %> <%=well.getCoordinate() %></td>
			<td class="bapos"><%=baWell.getColumn()+1%></td>
			<td class="rin"></td>
			<td class="remark"></td>
		</tr>
		<%
	}
	%>
	</table>
</div>
</form>
</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>